package com.hichina.admin.hichinaadminbackend.checker;

import org.apache.commons.lang3.math.NumberUtils;

public class IntProductAttributeChecker implements ProductAttributeChecker<Integer> {

    @Override
    public Integer check(String value) throws InvalidProductAttributeException {
        if (!NumberUtils.isDigits(value)) {
            throw new InvalidProductAttributeException("invalid int attribute: " + value);
        }
        return Integer.parseInt(value);
    }
}
