package com.hichina.admin.hichinaadminbackend.checker;

import org.apache.commons.lang3.StringUtils;

public class StringProductAttributeChecker implements ProductAttributeChecker<String> {

    @Override
    public String check(String value) throws InvalidProductAttributeException {
        if (StringUtils.isEmpty(value)) {
            throw new InvalidProductAttributeException("invalid string attribute (nonempty): " + value);
        }

        return value;
    }
}
