package com.hichina.admin.hichinaadminbackend.model.DTO;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ProductSkuBatchCreateRequest {

    @NotEmpty
    private String productName;

    @NotEmpty
    private String productDescription;

    @NotEmpty
    private String productTypeId;

    /**
     * 套餐自定义属性
     */
    private List<Map<String, String>> comboCustomPropertyBags;

}
